Bug 214755 - Editor tooltip enhancements
Editor tooltip enhancements
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Painting & Printing
7.3
PC Linux
: P3 (vote)
: 7.3
Assigned To: Svata Dedic
issues@editor
: API, API_REVIEW_FAST
Depends on:
Blocks: 30234 45884
  Show dependency treegraph
 
Reported: 2012-06-26 07:40 UTC by Svata Dedic
Modified: 2012-07-12 08:16 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed changes (8.54 KB, patch)
2012-06-26 07:40 UTC, Svata Dedic
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Svata Dedic 2012-06-26 07:40:20 UTC
Created attachment 121341 [details]
Proposed changes

For a feature (braces outline + tooltip), I would appreciate small API changes to the Editor tooltip and scrolling support.

1/ Support for absolutely positioned tooltips. Current ToolTipSupport interface only positioning relative to the caret in the editor. I need absolute positioning, so the tooltip can be nicely aligned with the editor's area. Possibly other popup / roll-out hints could use this positioning, too.

2/ I need to disable scrolling support in tooltips. An unobtrusive way is to extend the NbEditorUI behaviour to accept scrolling policy in the editor Component's clientProperties.

Please see the attached diff. The change is an extension to the editor's capabilities and should not affect existing contracts.
Comment 1 Svata Dedic 2012-07-04 12:36:02 UTC
Last chance to comment, will commit tomorrow otherwise.
Comment 2 Svata Dedic 2012-07-10 09:08:24 UTC
Implemented in http://hg.netbeans.org/jet-main/rev/eb36e801114e
Comment 3 Svata Dedic 2012-07-10 09:08:24 UTC
Implemented in http://hg.netbeans.org/jet-main/rev/eb36e801114e
Comment 4 Quality Engineering 2012-07-12 08:16:38 UTC
Integrated into 'main-golden', will be available in build *201207120002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/eb36e801114e
User: Svata Dedic <sdedic@netbeans.org>
Log: #214755: implemented fixed positioning for editor tooltips. Allowed parent control over scroll policy in editor panes.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo